"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTruthy = exports.falsy = exports.expectType = void 0;
/**
 * Asserts that the type of `expr` is identical to type `T`.
 * @param expr - Expression that should be identical to type `T`.
 */
const expectType = (expr) => void expr;
exports.expectType = expectType;
exports.falsy = [
    void 0,
    undefined,
    null,
    false,
    0,
    0n,
    "",
];
/**
 * Determines if the given value is truthy or not.
 * @param value The value to check.
 * @returns `true` if the value is truthy, otherwise `false`.
 * @internal
 */
function isTruthy(it) {
    return typeof it != "undefined" && !exports.falsy.includes(it);
}
exports.isTruthy = isTruthy;
// #endregion Internal
//# sourceMappingURL=_internal.js.map